<?php
session_start();

require('fpdf.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');


//$sql = selecionar('caixa','caix_tx_status,caix_nb_user',"aberto,$_SESSION[user_nb_id]");
//$sql = selecionar('caixa','caix_tx_status,caix_nb_user',"fechado,$_SESSION[user_nb_id]"," ORDER BY caix_tx_fechamento DESC LIMIT 1");
// $sql = selecionar('caixa,user','caix_nb_user',"$_SESSION[user_nb_id]"," ORDER BY caix_nb_id DESC LIMIT 1");
$sql = selecionar('caixa,user,pdv','',''," AND (caix_tx_status='aberto' OR caix_tx_status='fechado') AND caix_nb_id = '$_GET[id_caixa]' ORDER BY caix_nb_id DESC LIMIT 1");
if( num_linhas($sql) == 0 ) {
	echo "ERRO: Nenhum caixa!";
}

$a_caixa = carrega_array($sql);




define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';





// INICIA A CRIAÇÃO DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();
 
$pdf->SetFont('arial','',7);



$pdf->Cell(0,3,$CONFIGURA[NOME_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CNPJ_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[ENDERECO_IMPRESSAO],0,1,'C');
if ($CONFIGURA[COMPLEMENTO_IMPRESSAO]!='') {
	$pdf->Cell(0,3,$CONFIGURA[COMPLEMENTO_IMPRESSAO],0,1,'C');
}
$pdf->Cell(0,3,$CONFIGURA[CEP_IMPRESSAO],0,1,'C');
$pdf->Ln(5);

$pdf->SetFont('arial','B',11);


if ($a_caixa[caix_tx_status]=='fechado')
	$pdf->Cell(0,3,'FECHAMENTO '.$a_caixa[caix_nb_id].' - '.$a_caixa[pdv_tx_nome],0,1,"C");
else
	$pdf->Cell(0,3,'LEITURA X '.$a_caixa[caix_nb_id].' - '.$a_caixa[pdv_tx_nome],0,1,"C");


$pdf->SetFont('arial','',7);
$pdf->Ln(5);
// $pdf->Cell(0,1,'FORMA DE PAGAMENTO                           |APURADO |INFORMADO ',0,1,"L");
$pdf->Cell(30,3,"PAGAMENTO",0,0,"L");
// $pdf->Cell(14,3,"APURA",0,0,"R");
$pdf->Cell(42,3,"VALOR",0,1,"R");
// $pdf->Cell(14,3,"DIF",0,1,"R");
$pdf->Ln(1);


$pdf->SetFont('Courier','B',7);

// LISTAGEM DOS PRODUTOS DA COMANDA
//$sql = selecionar('prod_nb_id,prod_tx_codbarras,orpr_nb_id,prod_tx_nome,orpr_tx_porcentagem,orpr_tx_valor,orpr_tx_desconto,orpr_tx_descontoReal,SUM(orpr_tx_qtde) as qtde,orpr_tx_qtde*orpr_tx_valor as valor|orpr,produto,ordem','orpr_tx_status',"ativo"," AND orde_nb_id IN ($id_ordem) GROUP BY prod_nb_id ORDER BY orpr_nb_id ASC");
// $sql = selecionar('orde_nb_id,prod_tx_nome,orpr_tx_valor|orpr,produto,ordem','orpr_tx_status',"pagamento"," AND orde_nb_caixa='$a_caixa[caix_nb_id]' ORDER BY orde_nb_id,orpr_nb_id ASC");

// while( $a = carrega_array($sql) ) {



// 	$unitario = $a[orpr_tx_valor];
// 	$valor_prod = ($unitario*$a[qtde]);

// 	$total_qtde +=$a[qtde];

// 	// LINHA 1 DA LISTAGEM DE PRODUTOS
// 	$pdf->Cell(7,3,str_pad(++$j,3,'0',STR_PAD_LEFT),0,0,"L");
// 	$pdf->Cell(1,3,$a[orde_nb_id]." ".$a[prod_tx_nome],0,0,"L");
// 	$pdf->Cell(63,3,mostra_valor($a[orpr_tx_valor]),0,1,"R");


	
// 	// $string_imprime .= "<tr><td width='40px' >".str_pad(++$j,2,'0',STR_PAD_LEFT)."</td><td colspan=2>".$a[prod_tx_nome]."</td></tr>"."\r\n";
// 	// $string_imprime .= "<tr><td width='40px' align=right>".mostra_valor($a[qtde])."</td><td align=center width='100px'>R$ ".mostra_valor($unitario)."</td><td  align=right>R$ ".mostra_valor($valor_prod)."</td></tr>"."\r\n";
	
// 	$total += $valor_prod;
// 	$desconto_total += $a[orpr_tx_descontoReal];
	
// 	$pdf->Ln(1);
// }

// 	$pdf->Ln(1);

// $sql = selecionar('orde_nb_id,prod_tx_nome,orpr_tx_valor|orpr,produto,ordem','orpr_tx_status',"pagamento"," AND orde_nb_caixa='$a_caixa[caix_nb_id]' GROUP BY orde_nb_id");
// $total_vendas = num_linhas($sql);

// $pdf->SetFont('arial','',7);
// $pdf->Cell(30,3,"  QTD. TOTAL DE VENDAS",0,0,"L");
// $pdf->Cell(42,3,str_pad($total_vendas,3,'0',STR_PAD_LEFT)." ",0,1,"R");

// 	$pdf->Ln(1);
//$pdf->SetFont('Courier','',7);
$pdf->SetFont('arial','B',7);


$sql = selecionar('SUM(fobo_tx_valor) AS valor,orde_tx_encerra,orde_nb_id,form_tx_nome,fobo_nb_forma,caix_tx_valorInicial|fobo,forma,boleto.movimento.ordem_consolidada.caixa','movi_tx_status','!inativo'," AND orde_nb_caixa='$a_caixa[caix_nb_id]' AND orde_nb_caixa = caix_nb_id AND orde_nb_id = movi_nb_ordem AND bole_nb_movimento = movi_nb_id $extra2 GROUP BY fobo_nb_forma ORDER BY fobo_nb_forma ASC");
// $sql = selecionar('prod_nb_id,prod_tx_nome,sum(orpr_tx_valor) as valor|orpr,produto,ordem','orpr_tx_status',"pagamento"," AND orde_nb_caixa='$a_caixa[caix_nb_id]' GROUP BY prod_nb_id");
while( $a = carrega_array($sql) ) {
	
	$sql_fech = selecionar('fechamento','fech_tx_status','ativo'," AND fech_tx_tipo = 'fechamento' AND fech_nb_caixa = '$a_caixa[caix_nb_id]' AND fech_nb_forma = '$a[fobo_nb_forma]'");
	$a_fech = carrega_array($sql_fech);

	if($a_fech[fech_nb_forma] == '1'){

		$sql_fech2 = selecionar('fechamento,forma,caixa.pdv,user','fech_tx_status','ativo'," AND caix_nb_user = user_nb_id AND caix_nb_pdv = pdv_nb_id  AND fech_nb_caixa = '$a_caixa[caix_nb_id]' AND fech_nb_forma = '$a[fobo_nb_forma]'");
		while ($a_fech2 = carrega_array($sql_fech2)) {
			if( $a_fech2[fech_tx_tipo]=='fechamento sangria'){
				$total_fechaSangria += $a_fech2[fech_tx_valor];
			}if( $a_fech2[fech_tx_tipo]=='suprimento'){
				$total_sup += $a_fech2[fech_tx_valor];
			}elseif($a_fech2[fech_tx_tipo]=='sangria'){
				$total_san += $a_fech2[fech_tx_valor];
			}
		}

		// echo "$a[valor] = $a[caix_tx_valorInicial]+$total_sup-$total_san;";exit;
		$a[valor] = $a[valor]+$a[caix_tx_valorInicial]+$total_sup-$total_san;		
	}

	$diff = $a[valor] - $a_fech[fech_tx_valor];	
	$diff = $diff*(-1);	

	$pdf->Cell(30,3,$a[form_tx_nome],0,0,"L");
	// $pdf->Cell(14,3,mostra_valor($a[valor])." ",0,0,"R");
	$pdf->Cell(42,3,mostra_valor($a_fech[fech_tx_valor])." ",0,1,"R");
	// $pdf->Cell(14,3,mostra_valor($diff,1)." ",0,1,"R");
	
	$total_final += $a[valor];
	$total_fecha += $a_fech[fech_tx_valor];
}
// echo "TOTAL INF: |$total_fecha|<hr>";

	$sql_sangria = selecionar('fech_tx_valor,fech_tx_obs|fechamento,forma,caixa.pdv,user','fech_tx_status,fech_nb_caixa,fech_nb_forma,fech_tx_tipo',"ativo,$a_caixa[caix_nb_id],1,sangria"," AND caix_nb_user = user_nb_id AND caix_nb_pdv = pdv_nb_id");
	if ( num_linhas($sql_sangria)>0 ) {

		$pdf->SetFont('arial','',7);
		$pdf->Ln(5);
		$pdf->Cell(52,3,"SANGRIAS",0,0,"L");
		$pdf->Cell(20,3,"VALOR",0,1,"R");
		$pdf->Ln(1);
		$pdf->SetFont('Courier','B',7);

		while ( $a_sangria = carrega_array($sql_sangria) ) {
			$total_sangria += $a_sangria[fech_tx_valor];

			$pdf->Cell(52,3,substr($a_sangria[fech_tx_obs],0,35),0,0,"L");
			$pdf->Cell(20,3,'R$ '.mostra_valor($a_sangria[fech_tx_valor],1),0,1,"R");
		}
		$pdf->Cell(52,3,'TOTAL SANGRIA:',0,0,"L");
		$pdf->Cell(20,3,'R$ '.mostra_valor($total_sangria,1),0,1,"R");
	}



	$sql_suprimento = selecionar('fech_tx_valor,fech_tx_obs|fechamento,forma,caixa.pdv,user','fech_tx_status,fech_nb_caixa,fech_nb_forma,fech_tx_tipo',"ativo,$a_caixa[caix_nb_id],1,suprimento"," AND caix_nb_user = user_nb_id AND caix_nb_pdv = pdv_nb_id");
	if ( num_linhas($sql_suprimento)>0 ) {

		$pdf->SetFont('arial','',7);
		$pdf->Ln(5);
		$pdf->Cell(52,3,"SUPRIMENTOS",0,0,"L");
		$pdf->Cell(20,3,"VALOR",0,1,"R");
		$pdf->Ln(1);
		$pdf->SetFont('Courier','B',7);

		while ( $a_suprimento = carrega_array($sql_suprimento) ) {
			$total_suprimento += $a_suprimento[fech_tx_valor];

			$pdf->Cell(52,3,substr($a_suprimento[fech_tx_obs],1,35),0,0,"L");
			$pdf->Cell(20,3,'R$ '.mostra_valor($a_suprimento[fech_tx_valor],1),0,1,"R");
		}
		$pdf->Cell(52,3,'TOTAL SUPRIMENTO:',0,0,"L");
		$pdf->Cell(20,3,'R$ '.mostra_valor($total_suprimento,1),0,1,"R");
	}
	
	// if($total_fechaSangria > 0 || $total_san > 0){
	// 	$pdf->Cell(30,3,'SANGRIA',0,0,"L");
	// 	// $pdf->Cell(14,3,mostra_valor($total_san)." ",0,0,"R");
	// 	$pdf->Cell(42,3,mostra_valor($total_san)." ",0,1,"R");
	// 	// $pdf->Cell(14,3,mostra_valor($total_fechaSangria-$total_san,1)." ",0,1,"R");

	// 	$total_final += $total_san;
	// 	$total_fecha += $total_fechaSangria;
	// 	// echo "TOTAL INF: |$total_fecha|<hr>";
	// }
	
	// if($total_sup > 0){
	// 	$pdf->Cell(30,3,'SUPRIMENTO',0,0,"L");
	// 	// $pdf->Cell(14,3,mostra_valor($total_sup*(-1))." ",0,0,"R");
	// 	$pdf->Cell(42,3,mostra_valor($total_sup*(-1))." ",0,1,"R");
	// 	// $pdf->Cell(14,3,mostra_valor(0,1)." ",0,1,"R");

	// 	$total_final -= $total_sup;
	// 	$total_fecha -= $total_sup;
	// 	// echo "TOTAL INF: |$total_fecha|<hr>";
	// }

	// $pdf->Cell(30,3,'ABERTURA',0,0,"L");
	// $pdf->Cell(42,3,mostra_valor($a_caixa[caix_tx_valorInicial]*(-1))." ",0,1,"R");

	$total_final -= $a_caixa[caix_tx_valorInicial];
	$total_fecha -= $a_caixa[caix_tx_valorInicial];
	// echo "TOTAL INF: |$total_fecha|<hr>";

	$pdf->Ln(1);

	// $pdf->SetFont('arial','B',7);
	// $pdf->Cell(30,3,"VALOR TOTAL R$",0,0,"L");
	// $pdf->Cell(42,3,mostra_valor($total_fecha,1)." ",0,1,"R");

	// $pdf->Ln(1);
	$pdf->Ln(30);





$pdf->SetFont('arial','B',10);
$pdf->Cell(0,2,'SISTEMAS CACTUS',0,1,"C");
$pdf->Ln(2);

$pdf->SetFont('arial','',9);


if ($a_caixa[caix_tx_status]=='fechado')
	$pdf->Cell(0,3,"Data ".data($a_caixa[caix_tx_dataFechamento],3),0,1,"C");
else
	$pdf->Cell(0,3,"Data ".date('d/m/Y (H:i:s)'),0,1,"C");
$pdf->Cell(0,3,"Usuário: ".$a_caixa[user_tx_login],0,1,"C");



// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F');
// $pdf->Output();



bat_imprime($arquivo_pdf,intval($a_caixa[pdv_nb_impressora]));